<?php

namespace WPRuby_CAA\Core\App\Backend\Endpoints;


use WPRuby_CAA\Core\Constants;
use WPRuby_CAA\Core\Dto\User;
use WPRuby_CAA\Core\Helpers\Random_String_Generator;

class Email_Login_Link_Endpoint extends Abstract_Endpoint {

	public function callback( $data ) {
		$user_id = intval($data['user_id']);

		$user = new User($user_id);

		$token = get_user_meta($user_id, Constants::USER_TOKEN, true);

		if (!$token) {
			$token = (new Random_String_Generator())->generate(42);
			update_user_meta($user_id, Constants::USER_TOKEN, $token);
		}

		$link = sprintf('%s?caa_token=%s', admin_url(), $token);

		$subject = sprintf(__('An admin account was created for you in %s', 'controlled-admin-access'), get_bloginfo('name'));

		$expiringIn = $user->getExpiringInHuman();

		ob_start();
		include 'views/view-email-login-link.php';
		$message = ob_get_clean();

		$this->output(['ok' => wp_mail($user->getEmail(), $subject, $message)]);
	}

	public function action() {
		return 'email_login_link';
	}
}
