<?php

namespace WPRuby_CAA\Core\Features\Plugins;

class Plugins_Factory {

	public static function supported_plugins()
	{
		return [
			'woocommerce' => WooCommerce::class,
			'edd' => Easy_Digital_Downloads::class,
			'buddypress' => BuddyPress::class,
		];
	}

	/**
	 * @param $plugin
	 *
	 * @return null|Interface_Plugin
	 */
	public static function make($plugin, $items = [])
	{
		switch ($plugin) {
			case 'woocommerce':
				return new WooCommerce($items);
			case 'edd':
				return new Easy_Digital_Downloads($items);
			case 'buddypress':
				return new BuddyPress($items);
		}

		return null;
	}

}
